Page MenuHomePhabricator

Logging in on IE doesn't work
Closed, DeclinedPublic

Description

One user has reported issue logging in Montage while on Internet Explorer, while the log-in works using Microsoft Edge.

Event Timeline

Are there any other details whatsoever? Like, do they get to the Wikimedia screen? Are they redirected back? Can we get a screenshot of where they get stuck?

@Richard_Nevell_WMUK may be able to get some information from the juror who experienced this problem, but before then, maybe we can ask @Effeietsanders to test this. Lodewijk, can you check if you run into an issue if you try to log in while on IE?

I was surprised to find that MIE is still on my computer after I moved to Edge! Wow, another gem in life uncovered ;). But it's an app, not sure if it's the same.

I can however confirm the bug:

In the MIE console I see the following warnings:

  • DOM7011: The code on this page disabled back and forward caching. For more information, see: http://go.microsoft.com/fwlink/?LinkID=291337 montage-beta
  • HTML1500: Tag cannot be self-closing. Use an explicit closing tag. montage-beta (8,3)
  • DOM7011: The code on this page disabled back and forward caching. For more information, see: http://go.microsoft.com/fwlink/?LinkID=291337 montage-beta
  • HTML1521: Unexpected "</body>" or end of file. All open elements should be closed before the end of the document. montage-beta (16,77)

I was surprised to find that MIE is still on my computer after I moved to Edge! Wow, another gem in life uncovered ;). But it's an app, not sure if it's the same.

I can however confirm the bug:

In the MIE console I see the following warnings:

  • DOM7011: The code on this page disabled back and forward caching. For more information, see: http://go.microsoft.com/fwlink/?LinkID=291337 montage-beta
  • HTML1500: Tag cannot be self-closing. Use an explicit closing tag. montage-beta (8,3)
  • DOM7011: The code on this page disabled back and forward caching. For more information, see: http://go.microsoft.com/fwlink/?LinkID=291337 montage-beta
  • HTML1521: Unexpected "</body>" or end of file. All open elements should be closed before the end of the document. montage-beta (16,77)

That is exactly what happened for the juror (I was in the same room so able to see for myself). I didn't check the console at the time. MIE was being used on a Windows 10 computer, so I presume it was an app.

HTML1500: Tag cannot be self-closing. Use an explicit closing tag. montage-beta (8,3)

See the source code of https://tools.wmflabs.org/montage-beta/#/login :

<ui-view/>
Yarl claimed this task.Nov 2 2016, 10:30 PM
LilyOfTheWest moved this task from Backlog to Next Up on the Montage board.Nov 4 2016, 3:38 PM
Yarl moved this task from Next Up to In-progress on the Montage board.Nov 9 2016, 7:59 AM

@Yarl you looked into this task a few days ago. Can you document here what the problem is and let us know how we should proceed?

I understand that for the current round, you said that we should discourage the use of IE. Is this something that we should always be doing, i.e., we signal that Montage doesn't support IE?

Aklapper removed Yarl as the assignee of this task.Jun 19 2020, 4:17 PM

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)

I'm going to decline this task given that it's been around for a long time. re-open if it's unresolved.

LilyOfTheWest closed this task as Declined.Jul 28 2020, 4:56 AM